## modestmaps-js 0.21.0+ds1

=== Makefile ===
JS_FILES = \
	src/start.js \
	src/utils.js \
	src/point.js \
	src/coordinate.js \
	src/location.js \
	src/transformation.js \
	src/projection.js \
	src/provider.js \
	src/mouse.js \
	src/touch.js \
	src/callbacks.js \
	src/requests.js \
	src/map.js \
	src/end.js

modestmaps.min.js: modestmaps.js
	rm -f modestmaps.min.js
	java -jar tools/yuicompressor-2.4.2.jar modestmaps.js > modestmaps.min.js
	chmod a-w modestmaps.min.js

modestmaps.js: $(JS_FILES) Makefile
	rm -f modestmaps.js
	cat $(JS_FILES) >> modestmaps.js
	chmod a-w modestmaps.js

clean:
	rm modestmaps.js
	rm modestmaps.min.js

doc:
	./node_modules/.bin/docco src/*.js

tests:
	./node_modules/.bin/expresso test/*.test.js

=== debian/changelog ===
modestmaps-js (0.21.0+ds1-2) unstable; urgency=low

  * Upstream homepage fixed (Closes: #653123)
  * Simplify long description (Closes: #669877)
  * Standards-Version bump to 3.9.3, no changes needed
  * Drop obsolete B-D on libnode-uglify
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Sun, 22 Apr 2012 19:02:26 +0200

modestmaps-js (0.21.0+ds1-1) unstable; urgency=low

  * New upstream release

 -- David Paleino <dapal@debian.org>  Wed, 16 Nov 2011 23:30:05 +0100

modestmaps-js (0.20.0+ds1-2) unstable; urgency=low

  * Fix licensing information

 -- David Paleino <dapal@debian.org>  Fri, 28 Oct 2011 00:14:23 +0200

modestmaps-js (0.20.0+ds1-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Wed, 26 Oct 2011 16:33:01 +0200

=== debian/control ===
Source: modestmaps-js
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 , David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8~)
Build-Depends-Indep:
 node-uglify
Standards-Version: 3.9.3
Homepage: http://modestmaps.com/
Vcs-Git: git://git.debian.org/collab-maint/modestmaps-js.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/modestmaps-js.git;a=summary

Package: libjs-modestmaps
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Suggests: modestmaps-js-doc
Description: display and interaction library for tile-based maps - Javascript
 Modest Maps is a display and interaction library for tile-based maps.
 .
 Its intent is to provide a minimal, extensible, customizable, and free
 display library for designers and developers who want to use interactive
 maps in their own projects. Modest Maps provides a core set of features
 in a tight, clean package, with hooks for additional functionality.
 .
 This package contains the Javascript library.

Package: node-modestmaps
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Suggests: modestmaps-js-doc
Description: display and interaction library for tile-based maps - NodeJS
 Modest Maps is a display and interaction library for tile-based maps.
 .
 Its intent is to provide a minimal, extensible, customizable, and free
 display library for designers and developers who want to use interactive
 maps in their own projects. Modest Maps provides a core set of features
 in a tight, clean package, with hooks for additional functionality.
 .
 This package contains the NodeJS module.

Package: modestmaps-js-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: display and interaction library for tile-based maps - docs
 Modest Maps is a display and interaction library for tile-based maps.
 .
 Its intent is to provide a minimal, extensible, customizable, and free
 display library for designers and developers who want to use interactive
 maps in their own projects. Modest Maps provides a core set of features
 in a tight, clean package, with hooks for additional functionality.
 .
 This package contains examples for the Javascript-based implementations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
endif

%:
	dh $@

override_dh_auto_build:
	uglifyjs -o debian/modestmaps.min.js modestmaps.js

override_dh_auto_clean:
	# nothing

override_dh_installexamples:
	dh_installexamples
	rm -rf debian/modestmaps-js-doc/usr/share/doc/modestmaps-js-doc/examples/README \
		debian/modestmaps-js-doc/usr/share/doc/modestmaps-js-doc/examples/node/.gitignore

	chmod a-x debian/modestmaps-js-doc/usr/share/doc/modestmaps-js-doc/examples/bubble/excanvas.js

get-orig-source:
	uscan \
		--verbose \
		--force-download \
		--download-version $(UPVER) \
		--destdir .
	tar xvf v$(UPVER)
	@echo Removing bundled yui-compressor
	@rm -vrf stamen-modestmaps-*/tools/
	@echo Removing problematic examples
	@rm -vr stamen-modestmaps-*/examples/hurricanes stamen-modestmaps-*/examples/zoompan/zoompan.pdf
	tar cf modestmaps-js_$(UPVER)+ds1.orig.tar stamen-modestmaps-*/
	gzip -9 modestmaps-js_$(UPVER)+ds1.orig.tar
	rm -rf stamen-modestmaps-*/ v$(UPVER)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://github.com/stamen/modestmaps-js/tags \
	/stamen/modestmaps-js/tarball/v(\d+.*)

## modestmaps-js 3.3.6%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -30,11 +30,9 @@
 		--force-download \
 		--download-version $(UPVER) \
 		--destdir .
-	tar xvf v$(UPVER)
-	@echo Removing bundled yui-compressor
-	@rm -vrf stamen-modestmaps-*/tools/
+	tar xvf v$(UPVER).tar.gz
 	@echo Removing problematic examples
-	@rm -vr stamen-modestmaps-*/examples/hurricanes stamen-modestmaps-*/examples/zoompan/zoompan.pdf
-	tar cf modestmaps-js_$(UPVER)+ds1.orig.tar stamen-modestmaps-*/
+	@rm -vr modestmaps-js-*/examples/hurricanes modestmaps-js-*/examples/zoompan/zoompan.pdf
+	tar cf modestmaps-js_$(UPVER)+ds1.orig.tar modestmaps-js-*/
 	gzip -9 modestmaps-js_$(UPVER)+ds1.orig.tar
-	rm -rf stamen-modestmaps-*/ v$(UPVER)
+	rm -rf modestmaps-js-*/ v$(UPVER).tar.gz

## modestmaps-js 3.3.6%2Bds2

=== doc/Makefile ===
# to install marked: `npm install marked`
MARKED ?= ../node_modules/marked/bin/marked --gfm
VERSION = `cat ../VERSION`

all: index.html

index.html: toc.html api.html
	cat start.html toc.html middle.html api.html end.html \
		| perl -pi -e "s/{VERSION}/$(VERSION)/g" > $@

%.html: %.md
	$(MARKED) $< > $@

clean:
	rm -f index.html toc.html api.html

=== debian/changelog ===
modestmaps-js (3.3.6+ds2-1) unstable; urgency=medium

  * Team upload.
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme, changes:
    - Update Vcs-* URLs to use HTTPS
  * Enable parallel builds.
  * Use libjs-excanvas package instead of embedded copy.
  * Use libjs-jquery & libjs-jquery-ui packages instead of online copies.
  * Add patch to fix privacy breach issues.
  * Bump debhelper compatibility to 9.
  * Update copyright file, changes:
    - Add Upstream-Name field
    - Rename BSD-3 license shortname to BSD-3-Clause
    - Use standalone license paragraphs
  * Use uscan & Files-Excluded to repack the upstream tarball.
  * Also exclude pre-built javascript object from repacked tarball.
  * Bump Standards-Version to 3.9.8, changes: Vcs-* URLs & copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 May 2016 20:29:58 +0200

modestmaps-js (3.3.6+ds1-1.1) unstable; urgency=low

  [ Antoine Beaupré ]
  * Non-maintainer upload to unblock tilemill packaging (Closes: #685834).

  [ Andrew Harvey ]
  * New upstream release
  * Update watch file for new upstream location
  * Update get-orig-source target for new upstream tarball structure
  * Update debian/copyright 
  * Place a symlink version of modestmaps.js in the docs directory for use by
    examples.

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 30 Mar 2014 16:49:38 -0400

## modestmaps-js 3.3.6+ds1

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://github.com/modestmaps/modestmaps-js/tags \
	.*/v?(\d\S*)\.tar\.gz

## modestmaps-js 3.3.6+ds2

=== Makefile ===
NODE_PATH ?= ./node_modules
JS_COMPILER = $(NODE_PATH)/uglify-js/bin/uglifyjs

JS_FILES = \
	src/start.js \
	src/utils.js \
	src/point.js \
	src/coordinate.js \
	src/location.js \
	src/extent.js \
	src/transformation.js \
	src/projection.js \
	src/provider.js \
	src/mouse.js \
	src/touch.js \
	src/callbacks.js \
	src/requests.js \
	src/layer.js \
	src/map.js \
	src/convenience.js \
	src/end.js

VERSION = `cat VERSION`

all: update-version modestmaps.js modestmaps.min.js

modestmaps.min.js: modestmaps.js
	rm -f modestmaps.min.js
	$(JS_COMPILER) modestmaps.js > modestmaps.min.js

modestmaps.js: $(JS_FILES) Makefile
	rm -f modestmaps.js
	cat $(JS_FILES) | perl -pi -e "s/{VERSION}/$(VERSION)/g" > modestmaps.js

update-version:
	perl -pi -e "s/\"version\": \"[^\"]+/\"version\": \"$(VERSION)/g" package.json

clean:
	rm -f modestmaps.js
	rm -f modestmaps.min.js

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: modestmaps-js
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Uploaders: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>,
+           David Paleino <dapal@debian.org>
 Section: web
 Priority: extra
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders:
- Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
- , David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 8~)
-Build-Depends-Indep:
- node-uglify
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: node-uglify
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/modestmaps-js.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/modestmaps-js.git
 Homepage: http://modestmaps.com/
-Vcs-Git: git://git.debian.org/collab-maint/modestmaps-js.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/modestmaps-js.git;a=summary
 
 Package: libjs-modestmaps
 Architecture: all
@@ -30,9 +28,8 @@
 
 Package: node-modestmaps
 Architecture: all
-Depends:
- ${misc:Depends}
- , nodejs
+Depends: ${misc:Depends},
+         nodejs
 Suggests: modestmaps-js-doc
 Description: display and interaction library for tile-based maps - NodeJS
  Modest Maps is a display and interaction library for tile-based maps.
@@ -45,9 +42,12 @@
  This package contains the NodeJS module.
 
 Package: modestmaps-js-doc
+Architecture: all
 Section: doc
-Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-excanvas,
+         libjs-jquery,
+         libjs-jquery-ui,
+         ${misc:Depends}
 Description: display and interaction library for tile-based maps - docs
  Modest Maps is a display and interaction library for tile-based maps.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
endif

%:
	dh $@ --parallel

override_dh_auto_clean:
	# nothing

override_dh_auto_build:
	uglifyjs -o debian/modestmaps.min.js modestmaps.js

override_dh_installexamples:
	dh_installexamples
	$(RM) debian/modestmaps-js-doc/usr/share/doc/modestmaps-js-doc/examples/README \
	      debian/modestmaps-js-doc/usr/share/doc/modestmaps-js-doc/examples/node/.gitignore

	# Use libjs-excanvas package
	$(RM) debian/modestmaps-js-doc/usr/share/doc/modestmaps-js-doc/examples/bubble/excanvas.js

get-orig-source:
	uscan --verbose --force-download --download-version $(UPVER)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|modestmaps-js)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/modestmaps-js-$1.$2/,\
repacksuffix=+ds \
https://github.com/modestmaps/modestmaps-js/tags \
(?:.*?/)?(?:rel|v|modestmaps-js)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
